Application: gvSIG desktop - gvSIG bugs #5585

Cuando creamos un campo de mas de 10 caracteres deja crearlo pero da error (general) al finalizar
edicion

03/16/2021 11:31 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document table

Target version: 2.6.0-3302

Severity: Major Add-on version:

gvSIG version: 251 Add-on build:

gvSIG build: 3046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Si ponemos en ediciéon una capa SHP, vamos a la tabla y afladimos un campo nuevo con nombre de mas de 10 caracteres, deja
crearlo, y podemos editar los registros después, pero al terminar edicion salta un error general y avisa para que el usuario vea el log.
No dice nada de los 10 caracteres ni acentos.

Estaria bien que mostrase un mensaje en el momento de crear el campo, y asi que no dejase crearlo si no es correcto.

History

#1 - 03/18/2021 04:58 PM - Mario Carrera
- Severity changed from Minor to Major
- Priority changed from Normal to High

#2 - 03/26/2021 12:06 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3219

#3 - 04/20/2021 11:35 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.0-3219 to 2.6.0-3221

#4 - 05/13/2021 07:45 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.0-3221 to 2.6.0-3223

#5 - 05/27/2021 08:31 AM - Joaquin del Cerro Murciano
- Target version changed from 2.6.0-3223 to 261

#6 - 06/02/2021 08:15 AM - Joaquin del Cerro Murciano
- Target version changed from 261 to 2.6.1-final

#7 - 01/19/2023 06:13 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302

- Assignee set to Joaquin del Cerro Murciano
- Status changed from New to Fixed

Se ha modificado el gestor de columnas para que avise si se crea una columna y se indica un nombre de campo de mas del numero de caracteres
soportado por el proveedor de datos.

#8 - 08/03/2023 02:18 PM - Alvaro Anguix
- Status changed from Fixed to Closed
